- Qt 6.8
- Qt Sensors
- C++ Classes
- QAmbientLightSensor
- Qt 6.8.0 Reference Documentation

# QAmbientLightSensor Class

The QAmbientLightSensor class is a convenience wrapper around QSensor. More...

Header: | #include <QAmbientLightSensor>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Sensors) target_link_libraries(mytarget PRIVATE Qt6::Sensors)
qmake: | QT += sensors
Inherits: | QSensor

- List of all members, including inherited members

## Public Functions

| QAmbientLightSensor(QObject *parent = nullptr)
virtual | ~QAmbientLightSensor()
QAmbientLightReading * | reading() const

## Detailed Description

The only behavioural difference is that this class sets the type properly.

This class also features a reading() function that returns a QAmbientLightReading instead of a QSensorReading.

For details about how the sensor works, see QAmbientLightReading.

See also QAmbientLightReading.

## Member Function Documentation

### `[explicit]` QAmbientLightSensor::QAmbientLightSensor(QObject *parent = nullptr)

Construct the sensor as a child of parent.

### `[virtual noexcept]` QAmbientLightSensor::~QAmbientLightSensor()

Destroy the sensor. Stops the sensor if it has not already been stopped.

### QAmbientLightReading *QAmbientLightSensor::reading() const

Returns the reading class for this sensor.

See also QSensor::reading().